from sqlalchemy import String, Column, BigInteger, DateTime
from config.database import Base


class IdentificationStatistics(Base):
    """
    识别统计表
    """

    __tablename__ = 'identification_statistics'

    id = Column(BigInteger, primary_key=True, autoincrement=True, nullable=False, comment='主键 自增')
    employ = Column(BigInteger, nullable=True, comment='员工识别成功数')
    visitor = Column(BigInteger, nullable=True, comment='访客识别成功数')
    stranger = Column(BigInteger, nullable=True, comment='位置人员识别失败数')
    create_time = Column(DateTime, nullable=True, comment='创建时间')
    create_by = Column(String(64), nullable=True, comment='创建者')



